MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_HashOption_t Union Reference
mcuxClCss » mcuxClCss_Hash » mcuxClCss_Hash_Types

Command option bit field for mcuxClCss_Hash_Async and mcuxClCss_Hash_ShaDirect. More...

`#include <mcuxClCss_Hash.h>`

## Data Fields
struct {
uint32_t value
| Accesses the bit field as a full word. More...
} | word
| Access mcuxClCss_HashOption_t word-wise. More...
struct {
uint32_t __pad0__:2
| RFU. More...
uint32_t hashini:1
| Defines if the hash engine shall be initialized. More...
uint32_t hashld:1
| Defines if the hash engine shall be initialized with an externally provided digest. More...
uint32_t hashmd:2
| Defines which hash algorithm shall be used. More...
uint32_t hashoe:1
| Defines if the hash digest shall be moved to the output buffer. More...
uint32_t rtfupd:1
| RTF (Runtime Fingerprint) Update. More...
uint32_t rtfoe:1
| RTF (Runtime Fingerprint) Output Enabled. More...
uint32_t __pad1__:23
| RFU. More...
} | bits
| Access mcuxClCss_HashOption_t bit-wise. More...

## Detailed Description

Command option bit field for mcuxClCss_Hash_Async and mcuxClCss_Hash_ShaDirect.

Bit field to configure mcuxClCss_Hash_Async and mcuxClCss_Hash_ShaDirect. See MCUXCLCSS_HASH_ for possible options.

Examples
  hash_sha224_one_block.c, hash_sha256_one_block.c, hash_sha256_sha_direct_one_block.c, hash_sha384_one_block.c, hash_sha384_sha_direct_one_block.c, and hash_sha512_one_block.c.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_HashOption_t::value

Accesses the bit field as a full word.

## ◆ word

struct { ... } mcuxClCss_HashOption_t::word

Access mcuxClCss_HashOption_t word-wise.

## ◆ __pad0__

uint32_t mcuxClCss_HashOption_t::__pad0__

RFU.

## ◆ hashini

uint32_t mcuxClCss_HashOption_t::hashini

Defines if the hash engine shall be initialized.

Examples
  hash_sha224_one_block.c, hash_sha256_one_block.c, hash_sha256_sha_direct_one_block.c, hash_sha384_one_block.c, hash_sha384_sha_direct_one_block.c, and hash_sha512_one_block.c.

## ◆ hashld

uint32_t mcuxClCss_HashOption_t::hashld

Defines if the hash engine shall be initialized with an externally provided digest.

## ◆ hashmd

uint32_t mcuxClCss_HashOption_t::hashmd

Defines which hash algorithm shall be used.

Examples
  hash_sha224_one_block.c, hash_sha256_one_block.c, hash_sha256_sha_direct_one_block.c, hash_sha384_one_block.c, hash_sha384_sha_direct_one_block.c, and hash_sha512_one_block.c.

## ◆ hashoe

uint32_t mcuxClCss_HashOption_t::hashoe

Defines if the hash digest shall be moved to the output buffer.

Examples
  hash_sha224_one_block.c, hash_sha256_one_block.c, hash_sha256_sha_direct_one_block.c, hash_sha384_one_block.c, hash_sha384_sha_direct_one_block.c, and hash_sha512_one_block.c.

## ◆ rtfupd

uint32_t mcuxClCss_HashOption_t::rtfupd

RTF (Runtime Fingerprint) Update.

## ◆ rtfoe

uint32_t mcuxClCss_HashOption_t::rtfoe

RTF (Runtime Fingerprint) Output Enabled.

## ◆ __pad1__

uint32_t mcuxClCss_HashOption_t::__pad1__

RFU.

## ◆ bits

struct { ... } mcuxClCss_HashOption_t::bits

Access mcuxClCss_HashOption_t bit-wise.

Examples
  hash_sha224_one_block.c, hash_sha256_one_block.c, hash_sha256_sha_direct_one_block.c, hash_sha384_one_block.c, hash_sha384_sha_direct_one_block.c, and hash_sha512_one_block.c.